Quassel IRC - Bug #1027

Own nick selection combobox always have a focus ring on Mac
10/12/2010 07:13 PM - ddenis

Status: New Start date: 10/12/2010
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Quassel GUI (Qt) Estimated time: 0.00 hour
Target version: Some future release

Version: 0.7-pre 0S: Mac OS X
Description

On Mac the own nick combobox is always rendered as focused with a glowing focus ring around it because it has a focus proxy set
to the input line edit - so whenever the lineedit is focused, the combobox thinks it is also focused and hence renders a focus ring.

History

#1 - 10/12/2010 07:14 PM - ddenis

- File 0001-Don-t-set-focus-proxy-on-combobox-to-the-input-linee.patch added

Attached a patch.

#2 - 01/21/2012 09:58 PM - johu

- Target version changed from 0.8.0 to Some future release

Files

0001-Don-t-set-focus-proxy-on-combobox-to-the-input-linee.patch 942 Bytes
